*-----------------------------------------------------------------------
*-- Program.....: CRPECc.Cc
*-- Programmer..: Bowen Moursund (CIS: 72662,436), Copyright 1997
*-- Date........: 02/28/97
*-- Notes.......: Base controls for CRPEWrapper
*-----------------------------------------------------------------------

#include CRPEFont.H

CLASS CRPEButton(oForm, cName) of PushButton(oForm, cName) custom
    this.Height = 2
    this.Width = 14
    this.FontName = FONTNAME_BUTTON
    this.FontBold = FONTBOLD_BUTTON
    this.FontSize = FONTSIZE_BUTTON
ENDCLASS

CLASS CRPERect(oForm, cName) of Rectangle(oForm, cName) custom
    this.FontName = FONTNAME_TEXT
    this.FontBold = FONTBOLD_TEXT
    this.FontSize = FONTSIZE_TEXT
ENDCLASS

CLASS CRPEText(oForm, cName) of Text(oForm, cName) custom
    this.Height = 1.12
    this.FontName = FONTNAME_TEXT
    this.FontBold = FONTBOLD_TEXT
    this.FontSize = FONTSIZE_TEXT
ENDCLASS

CLASS CRPERadio(oForm, cName) of RadioButton(oForm, cName) custom
    this.Height = 1.12
    this.FontName = FONTNAME_TEXT
    this.FontBold = FONTBOLD_TEXT
    this.FontSize = FONTSIZE_TEXT
ENDCLASS

CLASS CRPECombo(oForm, cName) of ComboBox(oForm, cName) custom
    this.Height = 1.23
    this.FontName = FONTNAME_COMBO
    this.FontBold = FONTBOLD_COMBO
    this.FontSize = FONTSIZE_COMBO
ENDCLASS

CLASS CRPESpin(oForm, cName) of SpinBox(oForm, cName) custom
    this.Height = 1.12
    this.Rangemin = 1
    this.Rangemax = 100
    this.RangeRequired = .T.
    this.SelectAll = .F.
    this.FontName = FONTNAME_TEXT
    this.FontBold = FONTBOLD_TEXT
    this.FontSize = FONTSIZE_TEXT
ENDCLASS

CLASS CRPECheck(oForm, cName) of CheckBox(oForm, cName) custom
    this.Height = 1.12
    this.FontName = FONTNAME_TEXT
    this.FontBold = FONTBOLD_TEXT
    this.FontSize = FONTSIZE_TEXT
ENDCLASS

CLASS CRPETab(oForm, cName) of TabBox(oForm, cName) custom
    this.FontName = FONTNAME_TEXT
    this.FontBold = FONTBOLD_TEXT
    this.FontSize = FONTSIZE_TEXT
ENDCLASS

*-- EoF: crpecc.cc
